Subject: 25.2; Default newsticker URL for emacswiki.org does not work
From: Tim Landscheidt <[email-masked]>
To: [email-masked]
Date: Sun, 06 Aug 2017 06:11:27 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

The default setting for newsticker-url-list-defaults
(http://www.emacswiki.org/cgi-bin/wiki.pl?action=rss) is a
redirect from a http URL to a /missing/ https URL:

| Sonntag, 05:02: Error while retrieving news from Emacs Wiki
| Sonntag, 05:02: Error while retrieving news from Emacs Wiki: (error http 404): "(:redirect https://www.emacswiki.org/cgi-bin/wiki.pl?action=rss :peer (:certificate (:version 3 :serial-number 03:4e:f5:98:ce:3c:be:6c:b4:d2:8e:bb:9d:41:b7:6f:39:4c :issuer C=US,O=Let's Encrypt,CN=Let's Encrypt Authority X3 :valid-from 2017-07-23 :valid-to 2017-10-21 :subject CN=emacswiki.org :public-key-algorithm RSA :certificate-security-level High :signature-algorithm RSA-SHA256 :public-key-id sha1:fe:a8:57:30:38:d1:e0:0d:36:21:9f:7a:87:8a:6a:d4:05:4a:fb:4a :certificate-id sha1:7a:a3:7b:49:67:a8:04:9e:9b:7a:b2:60:7c:30:a1:98:3f:82:0e:9e) :key-exchange ECDHE-RSA :protocol TLS1.2 :cipher AES-128-GCM :mac AEAD))"

I tried replacing it with the apparent successor:

| (setq newsticker-url-list-defaults '(("Emacs Wiki" "https://www.emacswiki.org/emacs?action=rss" nil 3600)))

and it looks reasonable.

(There are other default URLs in
newsticker--raw-url-list-defaults, but I do not understand
under which circumstances they end up being used, so I
haven't checked those.)